Package org.eclipse.rdf4j.spring.dao.support

## Class UpdateWithModelBuilder

- java.lang.Object
- - org.eclipse.rdf4j.spring.dao.support.UpdateWithModelBuilder

-     public class UpdateWithModelBuilder
      extends Object

  Since:
    4.0.0
  Author:
    Florian Kleedorfer

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UpdateWithModelBuilder​(RepositoryConnection con)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `acceptConnection​(Consumer<RepositoryConnection> connectionConsumer)` |
    `UpdateWithModelBuilder` | `add​(String predicate, Object object)` |
    `UpdateWithModelBuilder` | `add​(String subject, String predicate, Object object)` |
    `UpdateWithModelBuilder` | `add​(String subject, IRI predicate, Object object)` |
    `UpdateWithModelBuilder` | `add​(IRI predicate, Object object)` |
    `UpdateWithModelBuilder` | `add​(Resource subject, IRI predicate, Object object)` |
    `UpdateWithModelBuilder` | `addMaybe​(String predicate, Object object)` |
    `UpdateWithModelBuilder` | `addMaybe​(String subject, String predicate, Object object)` |
    `UpdateWithModelBuilder` | `addMaybe​(String subject, IRI predicate, Object object)` |
    `UpdateWithModelBuilder` | `addMaybe​(IRI predicate, Object object)` |
    `UpdateWithModelBuilder` | `addMaybe​(Resource subject, IRI predicate, Object object)` |
    `<T> T` | `applyToConnection​(Function<RepositoryConnection,​T> function)` |
    `BNode` | `createBNode()` |
    `UpdateWithModelBuilder` | `defaultGraph()` |
    `void` | `execute()` |
    `UpdateWithModelBuilder` | `namedGraph​(String prefixedNameOrIRI)` |
    `UpdateWithModelBuilder` | `namedGraph​(Resource namedGraph)` |
    `UpdateWithModelBuilder` | `setNamespace​(String prefix, String namespace)` |
    `UpdateWithModelBuilder` | `setNamespace​(Namespace ns)` |
    `UpdateWithModelBuilder` | `subject​(String prefixedNameOrIri)` |
    `UpdateWithModelBuilder` | `subject​(Resource subject)` |
    `UpdateWithModelBuilder` | `withSink​(Consumer<Collection<Statement>> consumer)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateWithModelBuilder

          public UpdateWithModelBuilder​(RepositoryConnection con)

  - ### Method Detail

    - #### setNamespace

          public UpdateWithModelBuilder setNamespace​(Namespace ns)

    - #### setNamespace

          public UpdateWithModelBuilder setNamespace​(String prefix,
                                                     String namespace)

    - #### subject

          public UpdateWithModelBuilder subject​(Resource subject)

    - #### subject

          public UpdateWithModelBuilder subject​(String prefixedNameOrIri)

    - #### namedGraph

          public UpdateWithModelBuilder namedGraph​(Resource namedGraph)

    - #### namedGraph

          public UpdateWithModelBuilder namedGraph​(String prefixedNameOrIRI)

    - #### defaultGraph

          public UpdateWithModelBuilder defaultGraph()

    - #### addMaybe

          public UpdateWithModelBuilder addMaybe​(Resource subject,
                                                 IRI predicate,
                                                 Object object)

    - #### add

          public UpdateWithModelBuilder add​(Resource subject,
                                            IRI predicate,
                                            Object object)

    - #### addMaybe

          public UpdateWithModelBuilder addMaybe​(String subject,
                                                 IRI predicate,
                                                 Object object)

    - #### add

          public UpdateWithModelBuilder add​(String subject,
                                            IRI predicate,
                                            Object object)

    - #### addMaybe

          public UpdateWithModelBuilder addMaybe​(String subject,
                                                 String predicate,
                                                 Object object)

    - #### add

          public UpdateWithModelBuilder add​(String subject,
                                            String predicate,
                                            Object object)

    - #### addMaybe

          public UpdateWithModelBuilder addMaybe​(IRI predicate,
                                                 Object object)

    - #### add

          public UpdateWithModelBuilder add​(IRI predicate,
                                            Object object)

    - #### addMaybe

          public UpdateWithModelBuilder addMaybe​(String predicate,
                                                 Object object)

    - #### add

          public UpdateWithModelBuilder add​(String predicate,
                                            Object object)

    - #### acceptConnection

          public void acceptConnection​(Consumer<RepositoryConnection> connectionConsumer)

    - #### applyToConnection

          public <T> T applyToConnection​(Function<RepositoryConnection,​T> function)

    - #### createBNode

          public BNode createBNode()

    - #### withSink

          public UpdateWithModelBuilder withSink​(Consumer<Collection<Statement>> consumer)

    - #### execute

          public void execute()